Page MenuHomePhabricator

Empty state for Search and Article Change language page
Closed, ResolvedPublic

Description

Both search and article change page use ListView component, and currently show the empty state when there is no item.

Article change language page : T234628#5789845

We need a design for when there are no search or language results.

Proposed designs

No search results foundNo internet connection on searchNo language search results
https://zpl.io/a7xnpgEhttps://zpl.io/Vxv4kQwhttps://zpl.io/bzRGxOG

Event Timeline

hueitan created this task.Jan 9 2020, 4:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 9 2020, 4:59 PM
SBisson updated the task description. (Show Details)Jan 9 2020, 5:34 PM
hueitan updated the task description. (Show Details)Jan 9 2020, 5:36 PM
hueitan updated the task description. (Show Details)
AMuigai updated the task description. (Show Details)Jan 10 2020, 12:24 PM
AMuigai moved this task from Backlog to Needs design on the KaiOS-Wikipedia-app board.

Note that the article API output contains languagecount to indicate in how many other languages the article is available. When this is 0, we could hide or disable the article language menu option so we don't have to deal with an empty state on that screen.

Note that the article API output contains languagecount to indicate in how many other languages the article is available. When this is 0, we could hide or disable the article language menu option so we don't have to deal with an empty state on that screen.

agree with hiding the article language menu when languagecount=0 👍

Hiding the language menu sounds good to me.

cmadeo updated the task description. (Show Details)Jan 10 2020, 10:38 PM
cmadeo moved this task from Design doing to Ready for approval on the KaiOS-Wikipedia-app board.

I think we still need the No result found page in article language page

Here's one exception I found

go to the article en/Fessale, go to the second page and choose Hodh Ech Chargui, the languagecount is given 27, but when you go to the article language page, it returns 0 langlinks.

but if you go to the page Hodh Ech Chargui Region, and it's article language page, then we will have those 27 langlinks.

I have tried on mobile web page, when we load https://en.m.wikipedia.org/wiki/Hodh_Ech_Chargui, it will redirect to https://en.m.wikipedia.org/wiki/Hodh_Ech_Chargui_Region, so the above problem won't be existed, maybe we can do the same here. will try and see

hueitan claimed this task.Jan 12 2020, 3:02 PM
hueitan moved this task from Backlog to Dev on the Inuka-Team (Kanban) board.

To summarize this task, we need to show the empty state (No results found message) when searching the item in the following pages

  1. App Language Setting
  2. Search Article
  3. Article Language Setting

Noted that the proposed design for the No Internet Connection is being handled in other task

Jpita moved this task from QA to Sign Off on the Inuka-Team (Kanban) board.Jan 14 2020, 10:52 PM
Jpita moved this task from Sign Off to QA on the Inuka-Team (Kanban) board.Jan 14 2020, 11:08 PM
Jpita added a subscriber: Jpita.Jan 14 2020, 11:11 PM

waiting for a fix for this case

the PR for this issue is https://github.com/wikimedia/wikipedia-kaios/pull/81

hueitan added a comment.EditedMon, Jan 20, 12:18 PM

I have tried on mobile web page, when we load https://en.m.wikipedia.org/wiki/Hodh_Ech_Chargui, it will redirect to https://en.m.wikipedia.org/wiki/Hodh_Ech_Chargui_Region, so the above problem won't be existed, maybe we can do the same here. will try and see

@SBisson
Since we have this problem only after the article preview, we use the new summary API, the api returns titles.canonical, in this case Hodh_Ech_Chargui_Region, we can use this to load the article page without worrying about the redirection.

Edit: Fix pr can be seen here https://github.com/wikimedia/wikipedia-kaios/pull/97

AMuigai closed this task as Resolved.Thu, Feb 6, 11:32 AM

Closing as both this and T242553 are resolved.